rm(list=ls())

setwd("C:/Users/victor/Documents/TFG/r-analytics-master")

source("dependency_installer.R")


dep_list = c("magrittr","officer","dplyr","stringr","DSI","DSOpal","DSLite","dsBaseClient")
install_dependencies(dep_list)

#,"DSI","DSOpal","DSLite"

source("connection_parameters.R")
source("necessary_functions_connection.R")

auxConnections <- connect()
connections <- auxConnections[[1]]
inp <- auxConnections[[2]]

calltext <- call("DORA_scoresDS", "data")
newobj <- "DORA_table"
datashield.assign(connections, newobj, calltext)

ds.colnames("DORA_table")
ds.table("DORA_table$DORA_class")

datashield.logout(connections)
